Subject: Re: Forks/spawn test using ~latest~ CVS source 20031217 10:00AM (GMT+1)
From: Philippe Torche <[email-masked]>
To: [email-masked]
Date: Fri, 19 Dec 2003 00:32:10 +0100

Christopher Faylor wrote:
> On Fri, Dec 19, 2003 at 12:04:02AM +0100, Philippe Torche wrote:
> 
>>I've tested the CVS source 20031217 10:00AM (GMT+1) to see if fork/spawn 
>>works on Multi CPU (4 Xeon) with Windows 2003 Server (see old message 
>>about it in the mailing list). Unfortunatly It doesn't !
>>
>>Below a test script, use it by running run_t.sh. After some time (< 1 
>>minute) one or more of the 5 sub-shell stop. This batch works perfectly 
>>using a single P4 cpu on Windows XP !
> 
> 
> I don't know how many people out there have Multi CPU Xeons, but I
> suspect there aren't many.  This works fine in my single CPU system,
> as you note.
> 
> 
>>Thanks in advance, Philippe.
>>
>>PS 1 : 4-5th attempt to send a mail to [email-masked] using three 
>>different mail account, gmane newgroup ! Anti-spam ? :(
> 
> 
> Yes.  ZIP file attachments.
> 
> 
>>PS 2 : Vital for me that this works before end of the month !
> 
> 
> Sorry, but why would your urgency have any bearing on a community,
> volunteer project?
Sorry too,
We have been surprised by our first test on a multi CPU engine, after 
one year of development without big problem (only a tee problem and 
rsync not very usable (now using robocopy instead)). And now we are 
close to the delivery on 3 Multi CPU Xeon. But probably like you, we 
have only mono processor PC, Pentium 3, Pentium 4 and Athlon XP.
> 
> cgf
> 
I know that threaded applications are difficult to develop. I think you 
are our chance to correct this.
I can do test for you, but I can't give you access to this system !

I'm going to bed, thank you.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/